libgimpprint API Reference: print-escp2.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-escp2.h File Reference

Go to the source code of this file.

## Data Structures
struct | escp2_dropsize_t
struct | paper_adjustment_t
struct | paper_adjustment_list_t
struct | paper_t
struct | paperlist_t
struct | res_t
struct | physical_subchannel_t
struct | ink_channel_t
struct | channel_set_t
struct | escp2_inkname_t
struct | shade_t
struct | inklist_t
struct | inkgroup_t
struct | input_slot_t
struct | input_slot_list_t
struct | quality_t
struct | quality_list_t
struct | printer_weave_t
struct | printer_weave_list_t
struct | escp2_printer
struct | escp2_privdata_t
## Defines
#define | PHYSICAL_CHANNEL_LIMIT 8
#define | MAX_DROP_SIZES 3
#define | XCOLOR_R (STP_NCOLORS + 0)
#define | XCOLOR_B (STP_NCOLORS + 1)
#define | XCOLOR_GLOSS (STP_NCOLORS + 2)
#define | RES_LOW 0
#define | RES_360 1
#define | RES_720_360 2
#define | RES_720 3
#define | RES_1440_720 4
#define | RES_2880_720 5
#define | RES_2880_1440 6
#define | RES_2880_2880 7
#define | RES_N 8
#define | ROLL_FEED_CUT_ALL (1)
#define | ROLL_FEED_CUT_LAST (2)
#define | ROLL_FEED_DONT_EJECT (4)
#define | MODEL_COMMAND_MASK 0xful /* What general command set does */
#define | MODEL_COMMAND_1998 0x0ul
#define | MODEL_COMMAND_1999 0x1ul /* The 1999 series printers */
#define | MODEL_COMMAND_2000 0x2ul /* The 2000 series printers */
#define | MODEL_COMMAND_PRO 0x3ul /* Stylus Pro printers */
#define | MODEL_XZEROMARGIN_MASK 0x10ul /* Does this printer support */
#define | MODEL_XZEROMARGIN_NO 0x00ul /* zero margin mode? */
#define | MODEL_XZEROMARGIN_YES 0x10ul /* (print to edge of the paper) */
#define | MODEL_ROLLFEED_MASK 0x20ul /* Does this printer support */
#define | MODEL_ROLLFEED_NO 0x00ul /* a roll feed? */
#define | MODEL_ROLLFEED_YES 0x20ul
#define | MODEL_VARIABLE_DOT_MASK 0x40ul /* Does this printer support var */
#define | MODEL_VARIABLE_NO 0x00ul /* dot size printing? The newest */
#define | MODEL_VARIABLE_YES 0x40ul /* printers support multiple modes */
#define | MODEL_GRAYMODE_MASK 0x80ul /* Does this printer support special */
#define | MODEL_GRAYMODE_NO 0x00ul /* fast black printing? */
#define | MODEL_GRAYMODE_YES 0x80ul
#define | MODEL_VACUUM_MASK 0x100ul
#define | MODEL_VACUUM_NO 0x000ul
#define | MODEL_VACUUM_YES 0x100ul
#define | MODEL_FAST_360_MASK 0x200ul
#define | MODEL_FAST_360_NO 0x000ul
#define | MODEL_FAST_360_YES 0x200ul
#define | MODEL_SEND_ZERO_ADVANCE_MASK 0x400ul
#define | MODEL_SEND_ZERO_ADVANCE_NO 0x000ul
#define | MODEL_SEND_ZERO_ADVANCE_YES 0x400ul
#define | MODEL_SUPPORTS_INK_CHANGE_MASK 0x800ul
#define | MODEL_SUPPORTS_INK_CHANGE_NO 0x000ul
#define | MODEL_SUPPORTS_INK_CHANGE_YES 0x800ul
#define | MODEL_PACKET_MODE_MASK 0x1000ul
#define | MODEL_PACKET_MODE_NO 0x0000ul
#define | MODEL_PACKET_MODE_YES 0x1000ul
#define | MODEL_PRINT_TO_CD_MASK 0x2000ul
#define | MODEL_PRINT_TO_CD_NO 0x0000ul
#define | MODEL_PRINT_TO_CD_YES 0x2000ul
#define | COMPRESSION (1)
#define | FILLFUNC stp_fill_tiff
#define | COMPUTEFUNC stp_compute_tiff_linewidth
#define | PACKFUNC stp_pack_tiff
## Typedefs
typedef unsigned long | model_cap_t
typedef unsigned long | model_featureset_t
typedef const escp2_dropsize_t *const | escp2_drop_list_t [RES_N]
typedef shade_t | shade_set_t [PHYSICAL_CHANNEL_LIMIT]
typedef short | escp2_dot_size_t [RES_N]
typedef short | escp2_bits_t [RES_N]
typedef short | escp2_base_resolutions_t [RES_N]
typedef float | escp2_densities_t [RES_N]
typedef escp2_printer | stpi_escp2_printer_t
## Enumerations
enum | paper_class_t { PAPER_PLAIN = 0x01, PAPER_GOOD = 0x02, PAPER_PHOTO = 0x04, PAPER_PREMIUM_PHOTO = 0x08, PAPER_TRANSPARENCY = 0x10 }
enum | inkset_id_t { INKSET_CMYK = 0, INKSET_CcMmYK = 1, INKSET_CcMmYyK = 2, INKSET_CcMmYKk = 3, INKSET_QUADTONE = 4, INKSET_CMYKRB = 5, INKSET_EXTENDED = 6 }
enum | auto_mode_t { AUTO_MODE_QUALITY, AUTO_MODE_MANUAL }
enum | escp2_model_option_t { MODEL_COMMAND, MODEL_XZEROMARGIN, MODEL_ROLLFEED, MODEL_VARIABLE_DOT, MODEL_GRAYMODE, MODEL_VACUUM, MODEL_FAST_360, MODEL_SEND_ZERO_ADVANCE, MODEL_SUPPORTS_INK_CHANGE, MODEL_PACKET_MODE, MODEL_PRINT_TO_CD, MODEL_LIMIT }
## Functions
void | stpi_escp2_init_printer (stp_vars_t *v)
void | stpi_escp2_deinit_printer (stp_vars_t *v)
void | stpi_escp2_flush_pass (stp_vars_t *v, int passno, int vertical_subpass)
void | stpi_escp2_terminate_page (stp_vars_t *v)
## Variables
const stpi_escp2_printer_t | stpi_escp2_model_capabilities []
const int | stpi_escp2_model_limit
const escp2_drop_list_t | stpi_escp2_simple_drops
const escp2_drop_list_t | stpi_escp2_spro10000_drops
const escp2_drop_list_t | stpi_escp2_variable_1_5pl_drops
const escp2_drop_list_t | stpi_escp2_variable_2pl_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_pigment_drops
const escp2_drop_list_t | stpi_escp2_variable_3pl_pmg_drops
const escp2_drop_list_t | stpi_escp2_variable_1440_4pl_drops
const escp2_drop_list_t | stpi_escp2_variable_ultrachrome_drops
const escp2_drop_list_t | stpi_escp2_variable_2880_4pl_drops
const escp2_drop_list_t | stpi_escp2_variable_6pl_drops
const escp2_drop_list_t | stpi_escp2_variable_2000p_drops
const escp2_drop_list_t | stpi_escp2_variable_x80_6pl_drops
const paperlist_t | stpi_escp2_standard_paper_list
const paperlist_t | stpi_escp2_durabrite_paper_list
const paperlist_t | stpi_escp2_ultrachrome_paper_list
const paper_adjustment_list_t | stpi_escp2_standard_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_durabrite_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_photo_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_photo2_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_photo3_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_sp960_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_ultrachrome_photo_paper_adjustment_list
const paper_adjustment_list_t | stpi_escp2_ultrachrome_matte_paper_adjustment_list
const res_t *const | stpi_escp2_superfine_reslist []
const res_t *const | stpi_escp2_no_printer_weave_reslist []
const res_t *const | stpi_escp2_pro_reslist []
const res_t *const | stpi_escp2_sp5000_reslist []
const res_t *const | stpi_escp2_720dpi_reslist []
const res_t *const | stpi_escp2_720dpi_soft_reslist []
const res_t *const | stpi_escp2_g3_720dpi_reslist []
const res_t *const | stpi_escp2_1440dpi_reslist []
const res_t *const | stpi_escp2_2880dpi_reslist []
const res_t *const | stpi_escp2_2880_1440dpi_reslist []
const res_t *const | stpi_escp2_g3_reslist []
const res_t *const | stpi_escp2_sc500_reslist []
const res_t *const | stpi_escp2_sc640_reslist []
const inkgroup_t | stpi_escp2_cmy_inkgroup
const inkgroup_t | stpi_escp2_standard_inkgroup
const inkgroup_t | stpi_escp2_c80_inkgroup
const inkgroup_t | stpi_escp2_c64_inkgroup
const inkgroup_t | stpi_escp2_x80_inkgroup
const inkgroup_t | stpi_escp2_photo_gen1_inkgroup
const inkgroup_t | stpi_escp2_photo_gen2_inkgroup
const inkgroup_t | stpi_escp2_photo_gen3_inkgroup
const inkgroup_t | stpi_escp2_photo_pigment_inkgroup
const inkgroup_t | stpi_escp2_photo7_japan_inkgroup
const inkgroup_t | stpi_escp2_ultrachrome_inkgroup
const inkgroup_t | stpi_escp2_f360_photo_inkgroup
const inkgroup_t | stpi_escp2_f360_photo7_japan_inkgroup
const inkgroup_t | stpi_escp2_f360_ultrachrome_inkgroup
const inkgroup_t | stpi_escp2_cmykrb_inkgroup
const escp2_inkname_t | stpi_escp2_default_black_inkset
const printer_weave_list_t | stpi_escp2_standard_printer_weave_list
const printer_weave_list_t | stpi_escp2_sp2200_printer_weave_list
const printer_weave_list_t | stpi_escp2_pro7000_printer_weave_list
const printer_weave_list_t | stpi_escp2_pro7500_printer_weave_list
const printer_weave_list_t | stpi_escp2_pro7600_printer_weave_list

## Define Documentation

#define COMPRESSION (1)

| Definition at line 695 of file print-escp2.h. Referenced by send_print_command().

#define COMPUTEFUNC stp_compute_tiff_linewidth

| Definition at line 697 of file print-escp2.h. Referenced by escp2_print_page().

#define FILLFUNC stp_fill_tiff

| Definition at line 696 of file print-escp2.h. Referenced by escp2_print_page().

#define MAX_DROP_SIZES 3

| Definition at line 32 of file print-escp2.h.

#define MODEL_COMMAND_1998 0x0ul

| Definition at line 346 of file print-escp2.h.

#define MODEL_COMMAND_1999 0x1ul /* The 1999 series printers */

| Definition at line 347 of file print-escp2.h. Referenced by escp2_has_advanced_command_set(), and setup_resolution().

#define MODEL_COMMAND_2000 0x2ul /* The 2000 series printers */

| Definition at line 349 of file print-escp2.h. Referenced by escp2_has_advanced_command_set(), and escp2_set_margins().

#define MODEL_COMMAND_MASK 0xful /* What general command set does */

| Definition at line 344 of file print-escp2.h.

#define MODEL_COMMAND_PRO 0x3ul /* Stylus Pro printers */

| Definition at line 351 of file print-escp2.h. Referenced by escp2_has_advanced_command_set(), escp2_parameters(), escp2_set_margins(), escp2_set_printhead_resolution(), escp2_set_remote_sequence(), escp2_use_extended_commands(), send_print_command(), and set_horizontal_position().

#define MODEL_FAST_360_MASK 0x200ul

| Definition at line 384 of file print-escp2.h.

#define MODEL_FAST_360_NO 0x000ul

| Definition at line 385 of file print-escp2.h.

#define MODEL_FAST_360_YES 0x200ul

| Definition at line 386 of file print-escp2.h. Referenced by get_default_inktype(), and setup_head_parameters().

#define MODEL_GRAYMODE_MASK 0x80ul /* Does this printer support special */

| Definition at line 374 of file print-escp2.h.

#define MODEL_GRAYMODE_NO 0x00ul /* fast black printing? */

| Definition at line 376 of file print-escp2.h.

#define MODEL_GRAYMODE_YES 0x80ul

| Definition at line 378 of file print-escp2.h. Referenced by setup_misc().

#define MODEL_PACKET_MODE_MASK 0x1000ul

| Definition at line 396 of file print-escp2.h.

#define MODEL_PACKET_MODE_NO 0x0000ul

| Definition at line 397 of file print-escp2.h.

#define MODEL_PACKET_MODE_YES 0x1000ul

| Definition at line 398 of file print-escp2.h. Referenced by escp2_parameters().

#define MODEL_PRINT_TO_CD_MASK 0x2000ul

| Definition at line 400 of file print-escp2.h.

#define MODEL_PRINT_TO_CD_NO 0x0000ul

| Definition at line 401 of file print-escp2.h.

#define MODEL_PRINT_TO_CD_YES 0x2000ul

| Definition at line 402 of file print-escp2.h. Referenced by escp2_parameters().

#define MODEL_ROLLFEED_MASK 0x20ul /* Does this printer support */

| Definition at line 361 of file print-escp2.h.

#define MODEL_ROLLFEED_NO 0x00ul /* a roll feed? */

| Definition at line 363 of file print-escp2.h.

#define MODEL_ROLLFEED_YES 0x20ul

| Definition at line 365 of file print-escp2.h. Referenced by verify_papersize().

#define MODEL_SEND_ZERO_ADVANCE_MASK 0x400ul

| Definition at line 388 of file print-escp2.h.

#define MODEL_SEND_ZERO_ADVANCE_NO 0x000ul

| Definition at line 389 of file print-escp2.h.

#define MODEL_SEND_ZERO_ADVANCE_YES 0x400ul

| Definition at line 390 of file print-escp2.h. Referenced by escp2_do_print().

#define MODEL_SUPPORTS_INK_CHANGE_MASK 0x800ul

| Definition at line 392 of file print-escp2.h.

#define MODEL_SUPPORTS_INK_CHANGE_NO 0x000ul

| Definition at line 393 of file print-escp2.h.

#define MODEL_SUPPORTS_INK_CHANGE_YES 0x800ul

| Definition at line 394 of file print-escp2.h. Referenced by escp2_parameters().

#define MODEL_VACUUM_MASK 0x100ul

| Definition at line 380 of file print-escp2.h.

#define MODEL_VACUUM_NO 0x000ul

| Definition at line 381 of file print-escp2.h.

#define MODEL_VACUUM_YES 0x100ul

| Definition at line 382 of file print-escp2.h. Referenced by setup_misc().

#define MODEL_VARIABLE_DOT_MASK 0x40ul /* Does this printer support var */

| Definition at line 367 of file print-escp2.h.

#define MODEL_VARIABLE_NO 0x00ul /* dot size printing? The newest */

| Definition at line 369 of file print-escp2.h. Referenced by setup_resolution().

#define MODEL_VARIABLE_YES 0x40ul /* printers support multiple modes */

| Definition at line 371 of file print-escp2.h. Referenced by escp2_use_extended_commands(), and setup_misc().

#define MODEL_XZEROMARGIN_MASK 0x10ul /* Does this printer support */

| Definition at line 354 of file print-escp2.h.

#define MODEL_XZEROMARGIN_NO 0x00ul /* zero margin mode? */

| Definition at line 356 of file print-escp2.h.

#define MODEL_XZEROMARGIN_YES 0x10ul /* (print to edge of the paper) */

| Definition at line 358 of file print-escp2.h. Referenced by escp2_parameters(), and internal_imageable_area().

#define PACKFUNC stp_pack_tiff

| Definition at line 698 of file print-escp2.h. Referenced by escp2_print_page().

#define PHYSICAL_CHANNEL_LIMIT 8

| Definition at line 31 of file print-escp2.h.

#define RES_1440_720 4

| Definition at line 52 of file print-escp2.h.

#define RES_2880_1440 6

| Definition at line 54 of file print-escp2.h.

#define RES_2880_2880 7

| Definition at line 55 of file print-escp2.h.

#define RES_2880_720 5

| Definition at line 53 of file print-escp2.h.

#define RES_360 1

| Definition at line 49 of file print-escp2.h. Referenced by adjust_density_and_ink_type().

#define RES_720 3

| Definition at line 51 of file print-escp2.h.

#define RES_720_360 2

| Definition at line 50 of file print-escp2.h.

#define RES_LOW 0

| Definition at line 48 of file print-escp2.h.

#define RES_N 8

| Definition at line 56 of file print-escp2.h. Referenced by compute_internal_resid().

#define ROLL_FEED_CUT_ALL (1)

| Definition at line 285 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

#define ROLL_FEED_CUT_LAST (2)

| Definition at line 286 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

#define ROLL_FEED_DONT_EJECT (4)

| Definition at line 287 of file print-escp2.h. Referenced by stpi_escp2_terminate_page().

#define XCOLOR_B (STP_NCOLORS + 1)

| Definition at line 35 of file print-escp2.h. Referenced by escp2_parameters().

#define XCOLOR_GLOSS (STP_NCOLORS + 2)

| Definition at line 36 of file print-escp2.h. Referenced by escp2_parameters().

#define XCOLOR_R (STP_NCOLORS + 0)

| Definition at line 34 of file print-escp2.h. Referenced by escp2_parameters().

## Typedef Documentation

typedef short escp2_base_resolutions_t[RES_N]

| Definition at line 276 of file print-escp2.h.

typedef short escp2_bits_t[RES_N]

| Definition at line 270 of file print-escp2.h.

typedef float escp2_densities_t[RES_N]

| Definition at line 283 of file print-escp2.h.

typedef short escp2_dot_size_t[RES_N]

| Definition at line 264 of file print-escp2.h.

typedef const escp2_dropsize_t* const escp2_drop_list_t[RES_N]

| Definition at line 73 of file print-escp2.h. Referenced by escp2_dropsizes().

typedef unsigned long model_cap_t

| Definition at line 44 of file print-escp2.h.

typedef unsigned long model_featureset_t

| Definition at line 45 of file print-escp2.h. Referenced by escp2_get_cap(), and escp2_has_cap().

typedef shade_t shade_set_t[PHYSICAL_CHANNEL_LIMIT]

| Definition at line 218 of file print-escp2.h.

typedef struct escp2_printer stpi_escp2_printer_t

## Enumeration Type Documentation

enum auto_mode_t

  | Enumeration values:
  AUTO_MODE_QUALITY |
  AUTO_MODE_MANUAL |
Definition at line 324 of file print-escp2.h.

enum escp2_model_option_t

  | Enumeration values:
  MODEL_COMMAND |
  MODEL_XZEROMARGIN |
  MODEL_ROLLFEED |
  MODEL_VARIABLE_DOT |
  MODEL_GRAYMODE |
  MODEL_VACUUM |
  MODEL_FAST_360 |
  MODEL_SEND_ZERO_ADVANCE |
  MODEL_SUPPORTS_INK_CHANGE |
  MODEL_PACKET_MODE |
  MODEL_PRINT_TO_CD |
  MODEL_LIMIT |
Definition at line 404 of file print-escp2.h.

enum inkset_id_t

  | Enumeration values:
  INKSET_CMYK |
  INKSET_CcMmYK |
  INKSET_CcMmYyK |
  INKSET_CcMmYKk |
  INKSET_QUADTONE |
  INKSET_CMYKRB |
  INKSET_EXTENDED |
Definition at line 186 of file print-escp2.h.

enum paper_class_t

  | Enumeration values:
  PAPER_PLAIN |
  PAPER_GOOD |
  PAPER_PHOTO |
  PAPER_PREMIUM_PHOTO |
  PAPER_TRANSPARENCY |
Definition at line 109 of file print-escp2.h.

## Function Documentation

void stpi_escp2_deinit_printer | ( | stp_vars_t * | v | ) |

| Definition at line 566 of file escp2-driver.c. References escp2_privdata_t::advanced_command_set, stp_raw_t::bytes, stp_raw_t::data, escp2_privdata_t::deinit_sequence, input_slot_t::deinit_sequence, get_privdata(), escp2_privdata_t::input_slot, stp_puts(), stp_send_command(), stp_vars_t, and stp_zfwrite(). Referenced by escp2_do_print().

void stpi_escp2_flush_pass | ( | stp_vars_t * | v,
|  | int | passno,
|  | int | vertical_subpass
| ) |

| Definition at line 589 of file escp2-driver.c. References escp2_privdata_t::channels_in_use, get_privdata(), escp2_privdata_t::min_nozzles, escp2_privdata_t::printed_something, send_extra_data(), send_print_command(), set_color(), set_horizontal_position(), set_vertical_position(), stp_get_lineactive_by_pass(), stp_get_linebases_by_pass(), stp_get_linecount_by_pass(), stp_get_lineoffsets_by_pass(), stp_get_pass_by_pass(), stp_send_command(), stp_vars_t, stp_zfwrite(), stp_lineoff_t::v, stp_linecount_t::v, and stp_lineactive_t::v. Referenced by escp2_print_page().

void stpi_escp2_init_printer | ( | stp_vars_t * | v | ) |

| Definition at line 549 of file escp2-driver.c. References escp2_reset_printer(), escp2_set_color(), escp2_set_dot_size(), escp2_set_form_factor(), escp2_set_graphics_mode(), escp2_set_margins(), escp2_set_page_height(), escp2_set_printer_weave(), escp2_set_printhead_resolution(), escp2_set_printhead_speed(), escp2_set_remote_sequence(), escp2_set_resolution(), and stp_vars_t. Referenced by escp2_do_print().

void stpi_escp2_terminate_page | ( | stp_vars_t * | v | ) |

| Definition at line 631 of file escp2-driver.c. References get_privdata(), escp2_privdata_t::input_slot, escp2_privdata_t::printed_something, input_slot_t::roll_feed_cut_flags, ROLL_FEED_DONT_EJECT, stp_send_command(), and stp_vars_t. Referenced by escp2_print_page().

## Variable Documentation

const res_t* const stpi_escp2_1440dpi_reslist[]

| Definition at line 559 of file print-escp2.h.

const res_t* const stpi_escp2_2880_1440dpi_reslist[]

| Definition at line 561 of file print-escp2.h.

const res_t* const stpi_escp2_2880dpi_reslist[]

| Definition at line 560 of file print-escp2.h.

const res_t* const stpi_escp2_720dpi_reslist[]

| Definition at line 556 of file print-escp2.h.

const res_t* const stpi_escp2_720dpi_soft_reslist[]

| Definition at line 557 of file print-escp2.h.

const inkgroup_t stpi_escp2_c64_inkgroup

| Definition at line 569 of file print-escp2.h.

const inkgroup_t stpi_escp2_c80_inkgroup

| Definition at line 568 of file print-escp2.h.

const inkgroup_t stpi_escp2_cmy_inkgroup

| Definition at line 566 of file print-escp2.h.

const inkgroup_t stpi_escp2_cmykrb_inkgroup

| Definition at line 580 of file print-escp2.h.

const escp2_inkname_t stpi_escp2_default_black_inkset

| Definition at line 582 of file print-escp2.h. Referenced by setup_head_parameters().

const paper_adjustment_list_t stpi_escp2_durabrite_paper_adjustment_list

| Definition at line 544 of file print-escp2.h.

const paperlist_t stpi_escp2_durabrite_paper_list

| Definition at line 540 of file print-escp2.h.

const inkgroup_t stpi_escp2_f360_photo7_japan_inkgroup

| Definition at line 578 of file print-escp2.h.

const inkgroup_t stpi_escp2_f360_photo_inkgroup

| Definition at line 577 of file print-escp2.h.

const inkgroup_t stpi_escp2_f360_ultrachrome_inkgroup

| Definition at line 579 of file print-escp2.h.

const res_t* const stpi_escp2_g3_720dpi_reslist[]

| Definition at line 558 of file print-escp2.h.

const res_t* const stpi_escp2_g3_reslist[]

| Definition at line 562 of file print-escp2.h.

const stpi_escp2_printer_t stpi_escp2_model_capabilities[]

| Definition at line 522 of file print-escp2.h. Referenced by escp2_base_res(), escp2_bits(), escp2_density(), escp2_dropsizes(), escp2_get_cap(), escp2_has_cap(), escp2_ink_type(), and escp2_inklist().

const int stpi_escp2_model_limit

| Definition at line 523 of file print-escp2.h.

const res_t* const stpi_escp2_no_printer_weave_reslist[]

| Definition at line 553 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_photo2_paper_adjustment_list

| Definition at line 546 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_photo3_paper_adjustment_list

| Definition at line 547 of file print-escp2.h.

const inkgroup_t stpi_escp2_photo7_japan_inkgroup

| Definition at line 575 of file print-escp2.h.

const inkgroup_t stpi_escp2_photo_gen1_inkgroup

| Definition at line 571 of file print-escp2.h.

const inkgroup_t stpi_escp2_photo_gen2_inkgroup

| Definition at line 572 of file print-escp2.h.

const inkgroup_t stpi_escp2_photo_gen3_inkgroup

| Definition at line 573 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_photo_paper_adjustment_list

| Definition at line 545 of file print-escp2.h.

const inkgroup_t stpi_escp2_photo_pigment_inkgroup

| Definition at line 574 of file print-escp2.h.

const printer_weave_list_t stpi_escp2_pro7000_printer_weave_list

| Definition at line 586 of file print-escp2.h.

const printer_weave_list_t stpi_escp2_pro7500_printer_weave_list

| Definition at line 587 of file print-escp2.h.

const printer_weave_list_t stpi_escp2_pro7600_printer_weave_list

| Definition at line 588 of file print-escp2.h.

const res_t* const stpi_escp2_pro_reslist[]

| Definition at line 554 of file print-escp2.h.

const res_t* const stpi_escp2_sc500_reslist[]

| Definition at line 563 of file print-escp2.h.

const res_t* const stpi_escp2_sc640_reslist[]

| Definition at line 564 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_simple_drops

| Definition at line 525 of file print-escp2.h.

const printer_weave_list_t stpi_escp2_sp2200_printer_weave_list

| Definition at line 585 of file print-escp2.h.

const res_t* const stpi_escp2_sp5000_reslist[]

| Definition at line 555 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_sp960_paper_adjustment_list

| Definition at line 548 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_spro10000_drops

| Definition at line 526 of file print-escp2.h.

const inkgroup_t stpi_escp2_standard_inkgroup

| Definition at line 567 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_standard_paper_adjustment_list

| Definition at line 543 of file print-escp2.h.

const paperlist_t stpi_escp2_standard_paper_list

| Definition at line 539 of file print-escp2.h.

const printer_weave_list_t stpi_escp2_standard_printer_weave_list

| Definition at line 584 of file print-escp2.h.

const res_t* const stpi_escp2_superfine_reslist[]

| Definition at line 552 of file print-escp2.h.

const inkgroup_t stpi_escp2_ultrachrome_inkgroup

| Definition at line 576 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_ultrachrome_matte_paper_adjustment_list

| Definition at line 550 of file print-escp2.h.

const paperlist_t stpi_escp2_ultrachrome_paper_list

| Definition at line 541 of file print-escp2.h.

const paper_adjustment_list_t stpi_escp2_ultrachrome_photo_paper_adjustment_list

| Definition at line 549 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_1440_4pl_drops

| Definition at line 532 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_1_5pl_drops

| Definition at line 527 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_2000p_drops

| Definition at line 536 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_2880_4pl_drops

| Definition at line 534 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_2pl_drops

| Definition at line 528 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_3pl_drops

| Definition at line 529 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_3pl_pigment_drops

| Definition at line 530 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_3pl_pmg_drops

| Definition at line 531 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_6pl_drops

| Definition at line 535 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_ultrachrome_drops

| Definition at line 533 of file print-escp2.h.

const escp2_drop_list_t stpi_escp2_variable_x80_6pl_drops

| Definition at line 537 of file print-escp2.h.

const inkgroup_t stpi_escp2_x80_inkgroup

| Definition at line 570 of file print-escp2.h.